<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_05) on Sat Jun 07 12:11:35 EEST 2014 -->
<title>WindowManager</title>
<meta name="date" content="2014-06-07">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WindowManager";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../gr/zeus/ui/mdi/JInternalFrameComparator.html" title="class in gr.zeus.ui.mdi"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?gr/zeus/ui/mdi/WindowManager.html" target="_top">Frames</a></li>
<li><a href="WindowManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">gr.zeus.ui.mdi</div>
<h2 title="Class WindowManager" class="title">Class WindowManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>gr.zeus.ui.mdi.WindowManager</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">WindowManager</span>
extends java.lang.Object</pre>
<div class="block">A JDesktop window manager.
 <p>
 Major functions implemented:
 <ul>
 <li>close()</li>
 <li>closeAll()</li>
 <li>minimize()</li>
 <li>minimizeAll()</li>
 <li>maximize()</li>
 <li>maximizeAll()</li>
 <li>restore()</li>
 <li>restoreAll()</li>
 <li>hide()</li>
 <li>hideAll()</li>
 <li>selectNext()</li>
 <li>selectPrevious()</li>
 <li>reset()</li>
 <li>resetAll()</li>
 <li>tileHorizontally()</li>
 <li>tileVertically()</li>
 <li>tile()</li>
 <li>cascade()</li>
 </ul>
 <p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.04</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Gregory Kotsaftis</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#WindowManager-javax.swing.JDesktopPane-javax.swing.JMenu-">WindowManager</a></span>(javax.swing.JDesktopPane&nbsp;d,
             javax.swing.JMenu&nbsp;windowsMenu)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#cascade--">cascade</a></span>()</code>
<div class="block">Cascades all frames.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#close--">close</a></span>()</code>
<div class="block">Closes the selected frame if it is closable.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#closeAll--">closeAll</a></span>()</code>
<div class="block">Closes all frames that are closable.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#countFrames--">countFrames</a></span>()</code>
<div class="block">Counts all frames, even those that are closed with
 <code>DefaultCloseOperation = HIDE_ON_CLOSE</code></div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#countVisibleFrames--">countVisibleFrames</a></span>()</code>
<div class="block">Counts only visible frames.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#getAutoPositionPolicy--">getAutoPositionPolicy</a></span>()</code>
<div class="block">Gets the auto position frames policy.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#getClosePolicy--">getClosePolicy</a></span>()</code>
<div class="block">Gets the close policy.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#getDeiconifiablePolicy--">getDeiconifiablePolicy</a></span>()</code>
<div class="block">Gets the de-iconifiable policy.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#getOutlineDragMode--">getOutlineDragMode</a></span>()</code>
<div class="block">Gets frames' drawing strategy.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#hide--">hide</a></span>()</code>
<div class="block">Hides a frame.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#hideAll--">hideAll</a></span>()</code>
<div class="block">Hides all frames.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#maximize--">maximize</a></span>()</code>
<div class="block">Maximizes the selected frame if it is not already maximized.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#maximizeAll--">maximizeAll</a></span>()</code>
<div class="block">Maximizes all frames that are not already maximized.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#minimize--">minimize</a></span>()</code>
<div class="block">Minimizes the selected frame if it is iconifiable.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#minimizeAll--">minimizeAll</a></span>()</code>
<div class="block">Minimizes all frames that are iconifiable.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#reset--">reset</a></span>()</code>
<div class="block">Resets the frame to it's original preferred size of its components.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#resetAll--">resetAll</a></span>()</code>
<div class="block">Resets all frames to their original preferred size of their components.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#restore--">restore</a></span>()</code>
<div class="block">Restores the selected frame from it's maximized state.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#restoreAll--">restoreAll</a></span>()</code>
<div class="block">Restores all frames from their maximized state.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#selectNext--">selectNext</a></span>()</code>
<div class="block">Selects the next internal frame.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#selectPrevious--">selectPrevious</a></span>()</code>
<div class="block">Selects the previous internal frame.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#setAutoPositionPolicy-boolean-">setAutoPositionPolicy</a></span>(boolean&nbsp;p)</code>
<div class="block">Sets the auto position frames policy.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#setClosePolicy-boolean-">setClosePolicy</a></span>(boolean&nbsp;p)</code>
<div class="block">Sets the close policy.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#setDeiconifiablePolicy-boolean-">setDeiconifiablePolicy</a></span>(boolean&nbsp;p)</code>
<div class="block">Sets de-iconifiable policy.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#setOutlineDragMode-boolean-">setOutlineDragMode</a></span>(boolean&nbsp;outline)</code>
<div class="block">Selects frames' drawing strategy.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#tile--">tile</a></span>()</code>
<div class="block">Tiles all windows equally.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#tileHorizontally--">tileHorizontally</a></span>()</code>
<div class="block">Tiles all windows horizontally.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../gr/zeus/ui/mdi/WindowManager.html#tileVertically--">tileVertically</a></span>()</code>
<div class="block">Tiles all windows vertically.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="WindowManager-javax.swing.JDesktopPane-javax.swing.JMenu-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WindowManager</h4>
<pre>public&nbsp;WindowManager(javax.swing.JDesktopPane&nbsp;d,
                     javax.swing.JMenu&nbsp;windowsMenu)</pre>
<div class="block">Constructor. Creates a new <code>WindowManager</code> and
 attaches it to a desktop pane.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>d</code> - The <code>JDesktopPane</code> instance.</dd>
<dd><code>windowsMenu</code> - The <code>JMenu</code> instance.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setOutlineDragMode-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutlineDragMode</h4>
<pre>public&nbsp;void&nbsp;setOutlineDragMode(boolean&nbsp;outline)</pre>
<div class="block">Selects frames' drawing strategy.
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>outline</code> - <code>true</code> to enable
                  <code>JDesktopPane.OUTLINE_DRAG_MODE</code>, or
                  <code>false</code> to enable
                  <code>JDesktopPane.LIVE_DRAG_MODE</code>.</dd>
</dl>
</li>
</ul>
<a name="getOutlineDragMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutlineDragMode</h4>
<pre>public&nbsp;boolean&nbsp;getOutlineDragMode()</pre>
<div class="block">Gets frames' drawing strategy.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if desktop's <code>DragMode</code> is
          <code>JDesktopPane.OUTLINE_DRAG_MODE</code> or
          <code>false</code> if desktop's <code>DragMode</code> is
          <code>JDesktopPane.LIVE_DRAG_MODE</code>.</dd>
</dl>
</li>
</ul>
<a name="setDeiconifiablePolicy-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeiconifiablePolicy</h4>
<pre>public&nbsp;void&nbsp;setDeiconifiablePolicy(boolean&nbsp;p)</pre>
<div class="block">Sets de-iconifiable policy. Should we force a frame to de-iconify
 if it is iconified, during cascade operations?
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - <code>true</code> if force, <code>false</code> otherwise.</dd>
</dl>
</li>
</ul>
<a name="getDeiconifiablePolicy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeiconifiablePolicy</h4>
<pre>public&nbsp;boolean&nbsp;getDeiconifiablePolicy()</pre>
<div class="block">Gets the de-iconifiable policy.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The de-iconifiable policy.</dd>
</dl>
</li>
</ul>
<a name="setClosePolicy-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClosePolicy</h4>
<pre>public&nbsp;void&nbsp;setClosePolicy(boolean&nbsp;p)</pre>
<div class="block">Sets the close policy. Should we do default close operation per frame
 or force close it?
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - <code>true</code> to force close,
              <code>false</code> do default close operation.</dd>
</dl>
</li>
</ul>
<a name="getClosePolicy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClosePolicy</h4>
<pre>public&nbsp;boolean&nbsp;getClosePolicy()</pre>
<div class="block">Gets the close policy.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> for force close,
          <code>false</code> for default close operation.</dd>
</dl>
</li>
</ul>
<a name="setAutoPositionPolicy-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoPositionPolicy</h4>
<pre>public&nbsp;void&nbsp;setAutoPositionPolicy(boolean&nbsp;p)</pre>
<div class="block">Sets the auto position frames policy. Should we auto position the
 new frames in the desktop or not?
 <p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - <code>true</code> for auto-position,
              <code>false</code> for none.</dd>
</dl>
</li>
</ul>
<a name="getAutoPositionPolicy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAutoPositionPolicy</h4>
<pre>public&nbsp;boolean&nbsp;getAutoPositionPolicy()</pre>
<div class="block">Gets the auto position frames policy.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The auto-position policy.</dd>
</dl>
</li>
</ul>
<a name="countFrames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>countFrames</h4>
<pre>public&nbsp;int&nbsp;countFrames()</pre>
<div class="block">Counts all frames, even those that are closed with
 <code>DefaultCloseOperation = HIDE_ON_CLOSE</code>
 <p>
 <b>NOTE</b>Use this method in order to understand how many
 "ghost" frames remain within the desktop.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The number of frames.</dd>
</dl>
</li>
</ul>
<a name="countVisibleFrames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>countVisibleFrames</h4>
<pre>public&nbsp;int&nbsp;countVisibleFrames()</pre>
<div class="block">Counts only visible frames.
 <p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The number of visible frames.</dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()</pre>
<div class="block">Closes the selected frame if it is closable.</div>
</li>
</ul>
<a name="closeAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeAll</h4>
<pre>public&nbsp;void&nbsp;closeAll()</pre>
<div class="block">Closes all frames that are closable.</div>
</li>
</ul>
<a name="minimize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minimize</h4>
<pre>public&nbsp;void&nbsp;minimize()</pre>
<div class="block">Minimizes the selected frame if it is iconifiable.</div>
</li>
</ul>
<a name="minimizeAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minimizeAll</h4>
<pre>public&nbsp;void&nbsp;minimizeAll()</pre>
<div class="block">Minimizes all frames that are iconifiable.</div>
</li>
</ul>
<a name="restore--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restore</h4>
<pre>public&nbsp;void&nbsp;restore()</pre>
<div class="block">Restores the selected frame from it's maximized state.</div>
</li>
</ul>
<a name="restoreAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restoreAll</h4>
<pre>public&nbsp;void&nbsp;restoreAll()</pre>
<div class="block">Restores all frames from their maximized state.</div>
</li>
</ul>
<a name="maximize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maximize</h4>
<pre>public&nbsp;void&nbsp;maximize()</pre>
<div class="block">Maximizes the selected frame if it is not already maximized.</div>
</li>
</ul>
<a name="maximizeAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maximizeAll</h4>
<pre>public&nbsp;void&nbsp;maximizeAll()</pre>
<div class="block">Maximizes all frames that are not already maximized.</div>
</li>
</ul>
<a name="reset--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre>public&nbsp;void&nbsp;reset()</pre>
<div class="block">Resets the frame to it's original preferred size of its components.</div>
</li>
</ul>
<a name="resetAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetAll</h4>
<pre>public&nbsp;void&nbsp;resetAll()</pre>
<div class="block">Resets all frames to their original preferred size of their components.</div>
</li>
</ul>
<a name="hide--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hide</h4>
<pre>public&nbsp;void&nbsp;hide()</pre>
<div class="block">Hides a frame. The hidden frame is added to the menu with
 disabled-like color.</div>
</li>
</ul>
<a name="hideAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hideAll</h4>
<pre>public&nbsp;void&nbsp;hideAll()</pre>
<div class="block">Hides all frames. The hidden frames are added to the menu with
 disabled-like color.</div>
</li>
</ul>
<a name="selectNext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectNext</h4>
<pre>public&nbsp;void&nbsp;selectNext()</pre>
<div class="block">Selects the next internal frame.</div>
</li>
</ul>
<a name="selectPrevious--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectPrevious</h4>
<pre>public&nbsp;void&nbsp;selectPrevious()</pre>
<div class="block">Selects the previous internal frame.</div>
</li>
</ul>
<a name="cascade--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cascade</h4>
<pre>public&nbsp;void&nbsp;cascade()</pre>
<div class="block">Cascades all frames. If De-iconifiablePolicy is false, minimized frames
 stay minimized.During cascade, it also sorts frames based on their title.</div>
</li>
</ul>
<a name="tileVertically--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tileVertically</h4>
<pre>public&nbsp;void&nbsp;tileVertically()</pre>
<div class="block">Tiles all windows vertically.</div>
</li>
</ul>
<a name="tileHorizontally--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tileHorizontally</h4>
<pre>public&nbsp;void&nbsp;tileHorizontally()</pre>
<div class="block">Tiles all windows horizontally.</div>
</li>
</ul>
<a name="tile--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>tile</h4>
<pre>public&nbsp;void&nbsp;tile()</pre>
<div class="block">Tiles all windows equally.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../gr/zeus/ui/mdi/JInternalFrameComparator.html" title="class in gr.zeus.ui.mdi"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?gr/zeus/ui/mdi/WindowManager.html" target="_top">Frames</a></li>
<li><a href="WindowManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
